[MultiHighlight]
Syntax=
File=

[Comment]
1=*************************************************************
2=<b>Syntax:</b> Turbo/Free Pascal & Delphi
3=<b>Author:</b> Rickard Johansson
4=<b>Version:</b> 1.2
5=<b>Date:</b> 2007-01-29
6=
7=<b>Recommended colors:</b>
8=This syntax definition is included with the main program
9=installation. So the recommended colors are already set
10=after the program is installed.
11=*************************************************************

[Sample]
1=procedure TestNumber;
2=var
3=I : Integer;
4=begin
5=I := GetNumber;
6={ Test number }
7=if I < 20 then
8=ShowMessage('Less than 20');
9=end;

[AutoComplete]
Document.=CanRedo|CanRedo+p##CanUndo|CanUndo+p##CursorX|CursorX+p##CursorY|CursorY+p##FileName|FileName+p##LineCount|LineCount+p##Lines()|Lines()+p##Modified|Modified+p##SelLength|SelLength+p##SelStart|SelStart+p##SelText|SelText+p##Text|Text+p##Wordwrap|Wordwrap+p##BeginUpdate()|BeginUpdate()?+m##Clear()|Clear()?+m##Close()|Close()?+m##CopyToClipboard()|CopyToClipboard()?+m##CursorLeft()|CursorLeft()+m##CursorRight()|CursorRight()+m##CursorWordLeft()|CursorWordLeft()+m##CursorWordRight()|CursorWordRight()+m##CursorDown()|CursorDown()+m##CursorUp()|CursorUp()+m##CursorPageDown()|CursorPageDown()+m##CursorPageUp()|CursorPageUp()+m##CursorDocStart()|CursorDocStart()+m##CursorDocEnd()|CursorDocEnd()+m##CursorLineStart()|CursorLineStart()+m##CursorLineEnd()|CursorLineEnd()+m##CutToClipboard()|CutToClipboard()?+m##DeleteBlankLines()|DeleteBlankLines()?+m##DuplicateLineNTimes()|DuplicateLineNTimes()+m##EndUpdate()|EndUpdate()?+m##FoldAll()|FoldAll()?+m##FoldNode()|FoldNode()?+m##FoldRegion()|FoldRegion()?+m##GetMethodAtCursor()|GetMethodAtCursor()+m##GetSelection()|GetSelection()+m##GetTagAtCursor()|GetTagAtCursor()+m##GotoNextEndTag()|GotoNextEndTag()+m##GotoNextMethod()|GotoNextMethod()+m##GotoNextStartTag()|GotoNextStartTag()+m##GotoPreviousEndTag()|GotoPreviousEndTag()+m##GotoPreviousMethod()|GotoPreviousMethod()+m##GotoPreviousStartTag()|GotoPreviousStartTag()+m##HighlightText()|HighlightText()+m##Indent()|Indent()?+m##InsertTag()|InsertTag()+m##InsertText()|InsertText()+m##IsColumnModeActive()|IsColumnModeActive()+m##JoinLines()|JoinLines()?+m##LastSavedDate()|LastSavedDate()?+m##MoveLinesDown()|MoveLinesDown()?+m##MoveLinesUp()|MoveLinesUp()?+m##PasteFromClipboard()|PasteFromClipboard()?+m##Print()|Print()+m##Redo()|Redo()?+m##Reload()|Reload()+m##ReplaceAll()|ReplaceAll()+m##Save()|Save()?+m##SaveAs()|SaveAs()+m##SaveAsNoMRU()|SaveAsNoMRU()+m##SelectAll()|SelectAll()?+m##SelectCurrentLine()|SelectCurrentLine()?+m##SelectLine()|SelectLine()+m##SetColumnMode()|SetColumnMode()+m##SetSelection()|SetSelection()+m##SplitLines()|SplitLines()?+m##Undo()|Undo()?+m##UnfoldAll()|UnfoldAll()?+m##UnfoldNode()|UnfoldNode()?+m##UnfoldRegion()|UnfoldRegion()?+m##UnhighlightText()|UnhighlightText()+m##Unindent()|Unindent()?+m##
MainApp.=AppPath|AppPath+p##AppDataPath|AppDataPath+p##CurrentFolder|CurrentFolder+p##CurrentView|CurrentView+p##DocumentCount|DocumentCount+p##DocumentIndex|DocumentIndex+p##ExeName|ExeName+p##Height|Height+p##HInstance|HInstance+p##hWnd|hWnd+p##Left|Left+p##Top|Top+p##Width|Width+p##WindowState|WindowState+p##BringToFront()|BringToFront()?+m##ClearMessageText()|ClearMessageText()?+m##CloseAll()|CloseAll()?+m##GetCurrentLanguageFileName()|GetCurrentLanguageFileName()?+m##InputBox()|InputBox()+m##NewDocument()|NewDocument()+m##NextDoc()|NextDoc()?+m##OpenFile()|OpenFile()+m##PreviousDoc()|PreviousDoc()?+m##Quit()|Quit()?+m##RunApp()|RunApp()+m##RunAppAndWait()|RunAppAndWait()+m##RunAppAndWaitF()|RunAppAndWaitF()+m##SaveAll()|SaveAll()?+m##SendToBack()|SendToBack()?+m##SetHighlighter()|SetHighlighter()+m##SetMessageText()|SetMessageText()+m##SetStatusText()|SetStatusText()+m##Wait()|Wait()+m##
ScriptUtils.=WPosAt()|WPosAt()+m##WPos()|WPos()+m##WPosFrom()|WPosFrom()+m##WRightPos()|WRightPos()+m##WRightPosFrom()|WRightPosFrom()+m##WStringReplaceAll()|WStringReplaceAll()+m##
WStrings.=AddObject()|AddObject()+m##Add()|Add()+m##Clear()|Clear()+m##Delete()|Delete()+m##Find()|Find()+m##GetCount()|GetCount()+m##GetName()|GetName()+m##GetObject()|GetObject()+m##GetString()|GetString()+m##GetText()|GetText()+m##GetValue()|GetValue()+m##IndexOfObject()|IndexOfObject()+m##IndexOfName()|IndexOfName()+m##IndexOf()|IndexOf()+m##InsertObject()|InsertObject()+m##Insert()|Insert()+m##LoadFromFile()|LoadFromFile()+m##LoadFromStream()|LoadFromStream()+m##SaveToFile()|SaveToFile()+m##SaveToStream()|SaveToStream()+m##SetObject()|SetObject()+m##SetString()|SetString()+m##SetText()|SetText()+m##Sort()|Sort()+m##
[Hints]
1=Document.Lines(Index: Integer)
2=Document.CursorLeft(bSelect: Boolean)
3=Document.CursorRight(bSelect: Boolean)
4=Document.CursorWordLeft(bSelect: Boolean)
5=Document.CursorWordRight(bSelect: Boolean)
6=Document.CursorDown(bSelect: Boolean)
7=Document.CursorUp(bSelect: Boolean)
8=Document.CursorPageDown(bSelect: Boolean)
9=Document.CursorPageUp(bSelect: Boolean)
10=Document.CursorDocStart(bSelect: Boolean)
11=Document.CursorDocEnd(bSelect: Boolean)
12=Document.CursorLineStart(bSelect: Boolean)
13=Document.CursorLineEnd(bSelect: Boolean)
14=Document.DuplicateLineNTimes(const nr: Integer)
15=Document.GetMethodAtCursor(bSelect: Boolean)
16=Document.GetSelection(var startx,starty,endx,endy: Integer)
17=Document.GetTagAtCursor(bSelect: Boolean)
18=Document.GotoNextEndTag(bSelect: Boolean)
19=Document.GotoNextMethod(bSelect: Boolean)
20=Document.GotoNextStartTag(bSelect: Boolean)
21=Document.GotoPreviousEndTag(bSelect: Boolean)
22=Document.GotoPreviousMethod(bSelect: Boolean; bSkipCurrentMethod: Boolean)
23=Document.GotoPreviousStartTag(bSelect: Boolean)
24=Document.CursorLeft(bSelect: Boolean)
25=Document.HighlightText(const wsText: WideString; [const bWords: Boolean = True])
26=Document.InsertTag(sStartTag, sEndTag: WideString)
27=Document.InsertText(wStr: WideString)
28=Document.Print(bPrompt: Boolean)
29=Document.Reload(bPromptToSave: Boolean)
30=Document.ReplaceAll(sFind, sReplace: WideString; bMatchCase, bWholeWords, bRegExp: Boolean; [bSilent: Boolean = False])
31=Document.SaveAs(sFileName: WideString)
32=Document.SaveAsNoMRU(sFileName: WideString)
33=Document.SelectLine(Index: Integer)
34=Document.SetColumnMode(const bActivate: Boolean)
35=Document.SetSelection(const startx,starty,endx,endy: Integer)
36=Document.UnhighlightText(const wsText: WideString; [const bWords: Boolean = True])
37=MainApp.InputBox(const wsCaption, wsPrompt: WideString)
38=MainApp.NewDocument(sFileExt: String)
39=MainApp.OpenFile(const wsFile: WideString; [const bReadOnly: Boolean = True])
40=MainApp.RunApp(const wsFile, wsParam: WideString; bOutput, bMinimized: Boolean)
41=MainApp.RunAppAndWait(const wsFile, wsParam: WideString; bOutput, bMinimized: Boolean)
42=MainApp.RunAppAndWaitF(const wsFile, wsParam, wsOutputFile: WideString; const bMinimized: Boolean)
43=MainApp.SetHighlighter(const Value: WideString)
44=MainApp.SetMessageText(const wsText: WideString; [const bAppend: Boolean = True])
45=MainApp.SetStatusText(wsMessage: WideString)
46=MainApp.Wait(nMilliseconds: Integer)
47=ScriptUtils.WPosAt(const ch: WideChar; const ws: WideString; const index: Integer)
48=ScriptUtils.WPos(const wSub, wSource: WideString)
49=ScriptUtils.WPosFrom(const wSub, wSource: WideString; const nFrom: Integer)
50=ScriptUtils.WRightPos(const wSub, wSource: WideString)
51=ScriptUtils.WRightPosFrom(const wSub, wSource: WideString; const nFrom: Integer)
52=ScriptUtils.WStringReplaceAll(const wSource, wFind, wReplace: WideString)
53=WStrings.Add(const S: WideString)
54=WStrings.AddObject(const S: WideString; AObject: TObject)
55=WStrings.Delete(Index: Integer)
56=WStrings.IndexOf(const S: WideString)
57=WStrings.IndexOfName(const Name: WideString)
58=WStrings.IndexOfObject(AObject: TObject)
59=WStrings.Insert(Index: Integer; const S: WideString)
60=WStrings.InsertObject(Index: Integer; const S: WideString; AObject: TObject)
61=WStrings.LoadFromFile(const FileName: WideString)
62=WStrings.LoadFromStream(Stream: TStream)
63=WStrings.SaveToFile(const FileName: WideString)
64=WStrings.SaveToStream(Stream: TStream)
65=WStrings.GetName(const Index: Integer)
66=WStrings.GetObject(const Index: Integer)
67=WStrings.GetValue(const Index: Integer)
68=WStrings.GetString(const Index: Integer)
69=WStrings.SetObject(const Index: Integer; const AObject: TObject)
70=WStrings.SetString(const Index: Integer; const S: WideString)
71=WStrings.SetText(const S: WideString)
72=WStrings.Find(S: WideString)
73=IntToStr(i: Integer)
74=FloatToStr(e: Extended)
75=DateToStr(e: Extended)
76=TimeToStr(e: Extended)
77=DateTimeToStr(e: Extended)
78=VarToStr(v: Variant)
79=StrToInt(s: String)
80=StrToFloat(s: String)
81=StrToDate(s: String)
82=StrToTime(s: String)
83=StrToDateTime(s: String)
84=Format(Fmt: String; Args: array)
85=FormatFloat(Fmt: String; Value: Extended)
86=FormatDateTime(Fmt: String; DateTime: TDateTime)
87=FormatMaskText(EditMask: String; Value: String)
88=EncodeDate(Year, Month, Day: Word)
89=DecodeDate(Date: TDateTime; var Year, Month, Day: Word)
90=EncodeTime(Hour, Min, Sec, MSec: Word)
91=DecodeTime(Time: TDateTime; var Hour, Min, Sec, MSec: Word)
92=Date
93=Time
94=Now
95=DayOfWeek(aDate: TDateTime)
96=IsLeapYear(Year: Word)
97=DaysInMonth(nYear, nMonth: Integer)
98=Length(s: String)
99=Copy(s: String; from, count: Integer)
100=Pos(substr, s: String)
101=Delete(var s: String; from, count: Integer)
102=Insert(s: String; var s2: String; pos: Integer)
103=Uppercase(s: String)
104=Lowercase(s: String)
105=Trim(s: String)
106=NameCase(s: String)
107=CompareText(s, s1: String)
108=Chr(i: Integer)
109=Ord(ch: Char)
110=SetLength(var s: String; L: Integer)
111=Round(e: Extended)
112=Trunc(e: Extended)
113=Int(e: Extended)
114=Frac(X: Extended)
115=Sqrt(e: Extended)
116=Abs(e: Extended)
117=Sin(e: Extended)
118=Cos(e: Extended)
119=ArcTan(X: Extended)
120=Tan(X: Extended)
121=Exp(X: Extended)
122=Ln(X: Extended)
123=Pi
124=Inc(var i: Integer; incr: Integer = 1)
125=Dec(var i: Integer; decr: Integer = 1)
126=RaiseException(Param: String)
127=ShowMessage(Msg: Variant)
128=Randomize
129=Random
130=ValidInt(cInt: String)
131=ValidFloat(cFlt: String)
132=ValidDate(cDate: String)
133=CreateOleObject(ClassName: String)
134=VarArrayCreate(Bounds: Array; Typ: Integer)
[UserMenu]
1=Document|Document+3
2=MainApp|MainApp+3
3=WStrings|WStrings+3
4=ScriptUtils|ScriptUtils+3
5=IntToStr(i: Integer)|IntToStr()+m
6=FloatToStr(e: Extended)|FloatToStr()+m
7=DateToStr(e: Extended)|DateToStr()+m
8=TimeToStr(e: Extended)|TimeToStr()+m
9=DateTimeToStr(e: Extended)|DateTimeToStr()+m
10=VarToStr(v: Variant)|VarToStr()+m
11=StrToInt(s: String)|StrToInt()+m
12=StrToFloat(s: String)|StrToFloat()+m
13=StrToDate(s: String)|StrToDate()+m
14=StrToTime(s: String)|StrToTime()+m
15=StrToDateTime(s: String)|StrToDateTime()+m
16=Format(Fmt: String; Args: array)|Format()+m
17=FormatFloat(Fmt: String; Value: Extended)|FormatFloat()+m
18=FormatDateTime(Fmt: String; DateTime: TDateTime)|FormatDateTime()+m
19=FormatMaskText(EditMask: String; Value: String)|FormatMaskText()+m
20=EncodeDate(Year, Month, Day: Word)|EncodeDate()+m
21=DecodeDate(Date: TDateTime; var Year, Month, Day: Word)|DecodeDate()+m
22=EncodeTime(Hour, Min, Sec, MSec: Word)|EncodeTime()+m
23=DecodeTime(Time: TDateTime; var Hour, Min, Sec, MSec: Word)|DecodeTime()+m
24=Date|Date+m
25=Time|Time+m
26=Now|Now+m
27=DayOfWeek(aDate: TDateTime)|DayOfWeek()+m
28=IsLeapYear(Year: Word)|IsLeapYear()+m
29=DaysInMonth(nYear, nMonth: Integer)|DaysInMonth()+m
30=Length(s: String)|Length()+m
31=Copy(s: String; from, count: Integer)|Copy()+m
32=Pos(substr, s: String)|Pos()+m
33=Delete(var s: String; from, count: Integer)|Delete()+m
34=Insert(s: String; var s2: String; pos: Integer)|Insert()+m
35=Uppercase(s: String)|Uppercase()+m
36=Lowercase(s: String)|Lowercase()+m
37=Trim(s: String)|Trim()+m
38=NameCase(s: String)|NameCase()+m
39=CompareText(s, s1: String)|CompareText()+m
40=Chr(i: Integer)|Chr()+m
41=Ord(ch: Char)|Ord()+m
42=SetLength(var s: String; L: Integer)|SetLength()+m
43=Round(e: Extended)|Round()+m
44=Trunc(e: Extended)|Trunc()+m
45=Int(e: Extended)|Int()+m
46=Frac(X: Extended)|Frac()+m
47=Sqrt(e: Extended)|Sqrt()+m
48=Abs(e: Extended)|Abs()+m
49=Sin(e: Extended)|Sin()+m
50=Cos(e: Extended)|Cos()+m
51=ArcTan(X: Extended)|ArcTan()+m
52=Tan(X: Extended)|Tan()+m
53=Exp(X: Extended)|Exp()+m
54=Ln(X: Extended)|Ln()+m
55=Pi|Pi+m
56=Inc(var i: Integer; incr: Integer = 1)|Inc()+m
57=Dec(var i: Integer; decr: Integer = 1)|Dec()+m
58=RaiseException(Param: String)|RaiseException()+m
59=ShowMessage(Msg: Variant)|ShowMessage()+m
60=Randomize|Randomize+m
61=Random|Random+m
62=ValidInt(cInt: String)|ValidInt()+m
63=ValidFloat(cFlt: String)|ValidFloat()+m
64=ValidDate(cDate: String)|ValidDate()+m
65=CreateOleObject(ClassName: String)|CreateOleObject()+m
66=VarArrayCreate(Bounds: Array; Typ: Integer)|VarArrayCreate()+m
